Skip to main content
`Ctrl`+`K`

# PetscViewerBinarySetSkipOptions

do not use values in the PETSc options database when loading objects

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinarySetSkipOptions(PetscViewer viewer, PetscBool skip)

Not Collective

## Input Parameters

- viewer - `PetscViewer` context, obtained from `PetscViewerBinaryOpen()`

- skip - `PETSC_TRUE` means do not use the options from the options database

## Options Database Key

- -viewer_binary_skip_options (true|false) - true means do not use the options from the options database

## Note

This must be called after `PetscViewerSetType()`

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinaryGetDescriptor()`, `PetscViewerBinarySkipInfo()`, `PetscViewerBinaryGetSkipOptions()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

## Implementations

PetscViewerBinarySetSkipOptions_Binary() in src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages